Delete export config
curl --request DELETE \
--url https://apiweb.mile.app/api/v3/export-config/{exportConfigId}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://apiweb.mile.app/api/v3/export-config/{exportConfigId}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apiweb.mile.app/api/v3/export-config/{exportConfigId}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"code": 200,
"message": "Export Config has been deleted successfully.",
"data": {
"_id": "67109e70b2ef7545bd0c9ad3",
"name": "Report Daily",
"description": "Template for daily report detail bill item",
"collection": "task",
"fields": [
{
"component": "input",
"id": "_id",
"inputType": "string",
"source": "reservedKey",
"title": "Id"
},
{
"component": "input",
"id": "flow",
"inputType": "string",
"source": "reservedKey",
"title": "Flow"
},
{
"component": "input",
"id": "hub",
"inputType": "string",
"source": "reservedKey",
"title": "Hub"
},
{
"component": "input",
"id": "title",
"inputType": "string",
"source": "reservedKey",
"title": "Title"
},
{
"component": "input",
"id": "status",
"inputType": "string",
"source": "reservedKey",
"title": "Status"
},
{
"component": "input",
"id": "orderNumber",
"title": "Order Number",
"inputType": "string",
"default": null,
"routeAs": null,
"showAs": "title",
"required": false,
"visible": true,
"page": "page0"
},
{
"component": "bill",
"id": "billItem",
"title": "Bill Item",
"addNew": true,
"required": false,
"value": null,
"editable": [],
"costs": [
"Discount",
"Shipping Cost"
],
"visible": true,
"masterItems": [
{
"name": "Snack",
"unit_price": 10000
},
{
"name": "Cold Drink",
"unit_price": 5000
},
{
"name": "Bread",
"unit_price": 7000
},
{
"name": "Egg",
"unit_price": 2500
}
],
"masterCosts": [
{
"type": "number",
"name": "Discount",
"amount": 10000
},
{
"type": "number",
"name": "Shipping Cost",
"amount": 7000
}
],
"page": "page0",
"additionalField": [
"billItem.Discount",
"billItem.Shipping Cost",
"billItem.totalCost"
]
}
],
"organizationId": "66791b2bf001a712b77b3622",
"updatedTime": "2024-10-17T05:19:44.486000Z",
"createdTime": "2024-10-17T05:19:44.486000Z"
}
}{
"status": false,
"message": "Data not found"
}{
"status": false,
"message": "Internal server error, please contact support@mile.app."
}Export Config
Delete export config
DELETE
/
export-config
/
{exportConfigId}
/
Delete export config
Authorizations
Use a valid Bearer token to authenticate.
Path Parameters
Unique identifier for the export config that generated by system.
Example: 642634bde1428d414838c882
⌘I